# $Revision: 1.12 $, $Date: 2004/03/31 19:37:12 $
Summary:	Jet's Neural library - for making neural net apps
Summary(pl):	Jet's Neural library - tworzenie aplikacji neuronowych
Name:		jneural
Version:	1.05
Release:	5
License:	GPL v2
Group:		Libraries
Source0:	http://www.voltar.org/jneural/%{name}-%{version}.tar.gz
# Source0-md5:	79afdc55601a7e5a22b303b566c37525
Patch0:		%{name}-make.patch
Patch1:		%{name}-yacc.patch
Patch2:		%{name}-c++.patch
BuildRequires:	bison
BuildRequires:	latex2html
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	tetex-latex-bibtex
BuildRequires:	texinfo-texi2dvi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
I wrote this on account of being completely fed up with starting from
scratch every time I wanted to write a neural app. I had found some
libraries that did this, but none of them were any good. Arguably this
isn't either... But I like it. ;) Probably cuz it's mine right?

-Jet (jettero@voltar-confed.org)

%description -l pl
Ten pakiet powsta, poniewa autor mia ju do zaczynania za kadym
razem od zera, kiedy chcia napisa aplikacj neuronow. Znalaz kilka
bibliotek do tego celu, ale adna nie bya dobra. Prawdopodobnie ta
te nie jest, ale przynajmniej autor j lubi ;)

%package apps
Summary:	Example jneural applications
Summary(pl):	Przykadowe programy, wykorzystujce jneural
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description apps
Example jneural applications.

%description apps -l pl
Przykadowe programy, wykorzystujce jneural.

%package devel
Summary:	jneural header files
Summary(pl):	Pliki nagwkowe jneural
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
jneural header files.

%description devel -l pl
Pliki nagwkowe biblioteki jneural.

%package static
Summary:	jneural static library
Summary(pl):	Statyczna biblioteka jneural
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of jneural library.

%description static -l pl
Statyczna wersja biblioteki jneural.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure

# make shared lib with PIC
%{__make} libjneural.so libjneural.a \
	CC="%{__cxx}" \
	DFLAGS="%{rpmcflags} -fPIC" \
	YACC="bison -y"

# and make apps, without unnecessary PIC
%{__make} \
	CC="%{__cxx}" \
	DFLAGS="%{rpmcflags}"

cd docs
texi2dvi -I %{_datadir}/latex2html/texinputs jneural_doc.tex

%install
rm -rf $RPM_BUILD_ROOT

# broken as much as possible
#%%{__make} install

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

#install apps/grid_w $RPM_BUILD_ROOT%{_bindir}/jn_grid_w
#install apps/sin    $RPM_BUILD_ROOT%{_bindir}/jn_sin

install libjneural.so $RPM_BUILD_ROOT%{_libdir}/libjneural.so.%{version}
install libjneural.a  $RPM_BUILD_ROOT%{_libdir}/libjneural.a
ln -s libjneural.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libjneural.so.1
ln -s libjneural.so.1          $RPM_BUILD_ROOT%{_libdir}/libjneural.so

for i in arch nets utils; do
	install -d $RPM_BUILD_ROOT%{_includedir}/$i
	install include/$i/*.h $RPM_BUILD_ROOT%{_includedir}/$i
done

for i in `find apps/ -perm -700 -type f`; do
	install $i $RPM_BUILD_ROOT%{_bindir}
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README PROGRESSLOG
%attr(755,root,root) %{_libdir}/*.so.*.*

%files apps
%defattr(644,root,root,755)
%doc apps/matricies.*
%attr(755,root,root) %{_bindir}/*

%files devel
%defattr(644,root,root,755)
%doc docs/jneural_doc.dvi
%attr(755,root,root) %{_libdir}/*.so
%{_includedir}/arch
%{_includedir}/nets
%{_includedir}/utils

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jneural.spec,v $
Revision 1.12  2004/03/31 19:37:12  qboosh
- release 5

Revision 1.11  2004/03/31 19:20:32  qboosh
- try to fix PIC issue

Revision 1.10  2004/03/31 18:19:20  qboosh
- updated make patch, added c++,yacc patches
- use optflags, BR: libstdc++-devel,tetex-latex-bibtex, bison
- release 4 for Ac

Revision 1.9  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 05:49:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/02/28 10:07:58  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2002/12/13 15:24:04  ankry
- adapterized

Revision 1.5  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.4  2002/11/01 13:29:12  malekith
- fixed br's

Revision 1.3  2002/09/16 08:51:16  ankry
- BR: texinfo-texi2dvi, release 3

Revision 1.2  2002/08/11 01:36:40  qboosh
- remaining pl description
- killed subshell, simplified installing of static library
- release 2

Revision 1.1  2002/08/05 16:35:10  radek
- new; (installation broken-by-design)
- might be useful for learning about neural networks, so STBR
